# Make recipes in here or something
# Doesn't support shapeless atm, I'll probably add shapeless eventually...
#
# Three formats for items in the recipe:
#   Normal - <vanilla/denizen item>:<quantity>
#   Flag - flag:<denizen flag>:<value>
#   Item - item:<denizen item tag>
#
# Flags can be used if you have some custom material that you want to universally allow, for example different types of wood
# Item tags can be used to add recipes for items from other plugins,
# use /getitem (permission is customcrafting.getitem) in game while holding an item and it will give you the tag
# The result option uses the same format as the recipes but can't use flag
# The permission option can be whatever permission you can think of
#
# You can open the crafting table with /craft
# If you want to create your own method of opening it, the inventory is called crafting_inventory
recipes:
    type: data
    recipes:
        example_custom_recipe:
            result: mighty_coal_pickaxe:1
            permission: you.can.put.anything.here
            recipe:
                - "coal_block:3|coal_block:3|coal_block:3|coal_block:3|coal_block:3"
                - " | |oak_log:1| | "
                - " | |oak_log:1| | "
                - " | |oak_log:1| | "
                - " | |oak_log:1| | "
        flag_example:
            result: oak_log:5
            permission: sevenwones.example.permission
            recipe:
                - " | |flag:custom_log:1| | "
                - " | |flag:custom_log:1| | "
                - " | |flag:custom_log:1| | "
                - " | |flag:custom_log:1| | "
                - " | |flag:custom_log:1| | "
        item_example:
            result: item:i@warped_fungus_on_a_stick[display=§r§c§lMagical Stone;durability=100;custom_model_data=2;flag_map=map@[level=1;stone_item=1];hides=ALL;lore=li@§r§c§lInfo|§r§7§c§o???||§r§c§lHistory|§r§7§c§o???|;script=MAGICAL_STONE_ITEM]
            permission: youre.a.wizard.harry
            recipe:
                - " | |flag:custom_log:1| | "
                - " | |item:i@redstone[quantity=64]| | "
                - " | |ender_pearl:1| | "
                - " | |potato:1| | "
                - " | |wooden_sword:1| | "